# Get Booking Changelog List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingChangelogList`

Get the list of a booking changelogs to which the user has access.

#### Request Body

| Name      | Type    | Description                                      |
| --------- | ------- | ------------------------------------------------ |
| venueId   | integer | The id of the venue                              |
| bookingId | integer | The id of the booking                            |
| orderBy   | string  | Sort Results: Support Parameter 'name'           |
| perPage   | integer | The number of changelogs to get in a single call |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 100,
        "count": 2
    },
    "results": [
         {
            "id": 8,
            "venueId": 1,
            "bookingId": 4407,
            "beoId": 816,
            "sessionId": "2447",
            "recordedByUserId": "1",
            "refType": 3,
            "refId": 2447,
            "noteText": "Some Changes in Session",
            "createdDate": "2022-02-01 11:01:13 UTC",
            "modifiedDate": "2022-02-01 11:01:13 UTC"
        },
        {
            "id": 9,
            "venueId": 1,
            "bookingId": 4407,
            "beoId": 816,
            "sessionId": "2447",
            "recordedByUserId": "10",
            "refType": 3,
            "refId": 2447,
            "noteText": "Bit early in schedule",
            "createdDate": "2022-02-01 11:10:39 UTC",
            "modifiedDate": "2022-02-01 11:10:39 UTC"
        },
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be the list of booking changelogs.

### Example Request

```
{
	"venueId" : 1,
	"bookingId" : 4407,
    "perPage" : 100,
}
```

### Booking Changelog

| Property         | Type                                                                         | Description                                                  |
| ---------------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------ |
| id               | integer                                                                      | The unique id of the booking changelog                       |
| venueId          | integer                                                                      | The id of the venue to which the booking changelog belongs   |
| bookingId        | integer                                                                      | The id of the booking to which the booking changelog belongs |
| beoId            | integer                                                                      | The id of the beo to which the booking changelog belongs     |
| sessionId        | integer                                                                      | The id of the session to which the booking changelog belongs |
| recordedByUserId | integer                                                                      | The id of the user who recorded the booking changelog        |
| refType          | enum ([Booking Changelog Reference Type](#booking-changelog-reference-type)) | The reference type to which the booking changelog belongs    |
| refId            | integer                                                                      | The reference Id of the booking changelog                    |
| noteText         | string                                                                       | The note text of the booking changelog                       |
| createdDate      | timestamp                                                                    | The date & time the booking changelog was created            |
| modifiedDate     | timestamp                                                                    | The date & time the booking changelog was last modified      |

### Booking Changelog Reference Type

| Value | Description       |
| ----- | ----------------- |
| 1     | Booking           |
| 2     | Accommodation     |
| 3     | Session           |
| 4     | Menu              |
| 5     | Beverage          |
| 6     | Resource          |
| 7     | Product           |
| 8     | Contact           |
| 9     | Additional Item   |
| 11    | Package           |
| 12    | Setup Requirement |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-changelog-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
